OVH Community, votre nouvel espace communautaire.

Erreur à l'update de libapache2-svn... c'est grave, doc ?


mamat
27/12/2014, 13h30
Bonjour,
il y a eu un correctif publié quelques heures plus tard, fais une nouvelle mise a jour et tout rentrera dans l'ordre

sabinou
20/12/2014, 19h41
Bonjour !

Mon serveur a été installé par un inforgérant, et tout y tourne parfaitement bien actuellement. Il est spécifiquement dédié à l'hébergement web de sites html/php/mysql, pas de trucs particuliers de développement, pas de github-like, rien que du standard. Il tourne sous debian wheezy avec webmin + virtualmin, tout y est à jour.

Là, j'ai laissé virtualmin faire une mise à jour système, et j'ai remarqué un message d'erreur affiché lors de l'opération, en voici la copie :

Now updating libapache2-svn ..

Installing package(s) with command apt-get -y install libapache2-svn ..

Reading package lists...
Building dependency tree...
Reading state information...
The following packages will be upgraded:
libapache2-svn
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 173 kB of archives.
After this operation, 1024 B of additional disk space will be used.
Get:1 http://security.debian.org/ wheezy/updates/main libapache2-svn amd64 1.6.17dfsg-4+deb7u7 [173 kB]
Fetched 173 kB in 0s (1456 kB/s)
(Reading database ... 97414 files and directories currently installed.)
Preparing to replace libapache2-svn 1.6.17dfsg-4+deb7u6 (using .../libapache2-svn_1.6.17dfsg-4+deb7u7_amd64.deb) ...
Unpacking replacement libapache2-svn ...
Setting up libapache2-svn (1.6.17dfsg-4+deb7u7) ...
apache2: Syntax error on line 245 of /etc/apache2/apache2.conf: Syntax error on line 2 of /etc/apache2/mods-enabled/dav_svn.load: Cannot load /usr/lib/apache2/modules/mod_dav_svn.so into server: /usr/lib/apache2/modules/mod_dav_svn.so: undefined symbol: dav_svn__new_error
Action 'configtest' failed.
The Apache error log may have more information.
failed!
invoke-rc.d: initscript apache2, action "restart" failed.

.. install complete.
... c'est grave, selon vous ?
Si je comprends bien, l'OS a voulu remplacer une librairie par une autre plus récente, mais y a échoué, mais je n'arrive pas (honnêtement) à déterminer si la précédente librairie continue d'être là ou pas, si elle était de toute façon chargée ou pas.

Je n'ose même pas redémarrer Apache de peur de découvrir que le redémarrage de Apache échouerait, brrr.

Il y a eu une autre mise à jour juste après (libjasper1 ), et elle, elle s'est faite sans problèmes.
Mes sites web fonctionnent toujours, il n'y a a priori pas d'autres erreurs système.

Mais, bon, voilà, c'est assez ennuyeux de ne pas savoir s'il n'y a pas un pépin à résoudre... ou bien... si je dois conclure que c'est normal, et ne pas m'en préoccuper

Vous qui vous y connaissez davantage, vous en penseriez quoi, s'il vous plaît ?
C'est un composant inutile, et/ou pas chargé, on peut l'oublier ?
C'est un composant important, et il faut faire un test pour voir s'il marche encore ou pas... mais alors, quel test ?

Merci beaucoup si vous avez quelques minutes pour m'aider